%bcond_with bootstrap

Summary:        Java library for working with real-world HTML
Name:           jsoup
Version:        1.13.1
Release:        5%{?dist}
License:        MIT
URL:            http://jsoup.org/
Source0:        https://github.com/jhy/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires:  maven-local-openjdk8
%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
%endif
BuildArch:      noarch

%description
jsoup is a Java library for working with real-world HTML.  It provides a very convenient API for
extracting and manipulating data, using the best of DOM, CSS, and jquery-like methods.

jsoup implements the WHATWG HTML5 specification, and parses HTML to the same DOM as modern browsers do.

 - scrape and parse HTML from a URL, file, or string
 - find and extract data, using DOM traversal or CSS selectors
 - manipulate the HTML elements, attributes, and text
 - clean user-submitted content against a safe white-list, to prevent XSS attacks
 - output tidy HTML

jsoup is designed to deal with all varieties of HTML found in the wild; from pristine and
validating, to invalid tag-soup; jsoup will create a sensible parse tree.

%{?module_package}
%{?javadoc_package}

%prep
%autosetup -n %{name}-%{name}-%{version}

%pom_remove_plugin :animal-sniffer-maven-plugin
%pom_remove_plugin :maven-failsafe-plugin
%pom_remove_plugin :maven-javadoc-plugin

%pom_xpath_inject "pom:plugin[pom:artifactId='maven-bundle-plugin']/pom:configuration/pom:instructions" \
  "<_exportcontents>*.internal;x-internal:=true,*</_exportcontents>"

%build
%mvn_build -f

%install
%mvn_install

%files -n %{?module_prefix}%{name} -f .mfiles
%license LICENSE
%doc README.md CHANGES

%changelog
* Thu May 4 2023 Shuo Wang <abushwang@tencent.com> - 1.13.1-5
- close bootstrap

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13.1-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13.1-3
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 24 2023 rockerzhu <rockerzhu@tencent.com> - 1.13.1-2
- Rebuild

* Thu Mar 23 2023 Shuo Wang <abushwang@tencent.com> - 1.13.1-1
- initial build
